%define upstream_name    HTML-Acronyms
%define upstream_version 0.0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate HTML5/etc. markup for acronyms
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Acronyms and other abbreviations can be quite cryptic ("What do you mean by
'WDYM') and this module aims to help expanding them in HTML5/XHTML5
documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.0.3-3.mga9
+ Revision: 1819678
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.0.3-2.mga8
+ Revision: 1545615
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.0.3-1.mga8
+ Revision: 1484957
- update to 0.0.3

* Wed Dec 25 2019 tv <tv> 0.0.2-1.mga8
+ Revision: 1470013
- update to 0.0.2

* Sun Dec 22 2019 shlomif <shlomif> 0.0.1-1.mga8
+ Revision: 1469537
- imported package perl-HTML-Acronyms


* Sun Dec 22 2019 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
